ValidationErrors (Grails 6.0.0)

Package: grails.validation

## [Groovy] Class ValidationErrors

- grails.validation.ValidationErrors

-     class ValidationErrors
      extends org.springframework.validation.BeanPropertyBindingResult

  Models validation errors in a Grails application.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.validation.BeanPropertyBindingResult` | `MODEL_KEY_PREFIX, NESTED_PATH_SEPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ValidationErrors (java.lang.Object target)`
    `ValidationErrors (java.lang.Object target, java.lang.String objectName)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `getAt(java.lang.String field)`
    `` | `java.lang.Object` | `putAt(java.lang.String field, java.lang.String errorCode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.validation.BeanPropertyBindingResult` | `org.springframework.validation.BeanPropertyBindingResult#getPropertyAccessor(), org.springframework.validation.BeanPropertyBindingResult#getTarget(), org.springframework.validation.BeanPropertyBindingResult#getPropertyEditorRegistry(), org.springframework.validation.BeanPropertyBindingResult#findEditor(java.lang.String, java.lang.Class), org.springframework.validation.BeanPropertyBindingResult#initConversion(org.springframework.core.convert.ConversionService), org.springframework.validation.BeanPropertyBindingResult#getFieldType(java.lang.String), org.springframework.validation.BeanPropertyBindingResult#getObjectName(), org.springframework.validation.BeanPropertyBindingResult#reject(java.lang.String, [Ljava.lang.Object;, java.lang.String), org.springframework.validation.BeanPropertyBindingResult#rejectValue(java.lang.String, java.lang.String, [Ljava.lang.Object;, java.lang.String), org.springframework.validation.BeanPropertyBindingResult#setMessageCodesResolver(org.springframework.validation.MessageCodesResolver), org.springframework.validation.BeanPropertyBindingResult#getMessageCodesResolver(), org.springframework.validation.BeanPropertyBindingResult#addAllErrors(org.springframework.validation.Errors), org.springframework.validation.BeanPropertyBindingResult#getAllErrors(), org.springframework.validation.BeanPropertyBindingResult#getGlobalErrors(), org.springframework.validation.BeanPropertyBindingResult#getGlobalError(), org.springframework.validation.BeanPropertyBindingResult#getFieldErrors(), org.springframework.validation.BeanPropertyBindingResult#getFieldErrors(java.lang.String), org.springframework.validation.BeanPropertyBindingResult#getFieldError(), org.springframework.validation.BeanPropertyBindingResult#getFieldError(java.lang.String), org.springframework.validation.BeanPropertyBindingResult#getFieldValue(java.lang.String), org.springframework.validation.BeanPropertyBindingResult#getRawFieldValue(java.lang.String), org.springframework.validation.BeanPropertyBindingResult#resolveMessageCodes(java.lang.String), org.springframework.validation.BeanPropertyBindingResult#resolveMessageCodes(java.lang.String, java.lang.String), org.springframework.validation.BeanPropertyBindingResult#recordFieldValue(java.lang.String, java.lang.Class, java.lang.Object), org.springframework.validation.BeanPropertyBindingResult#recordSuppressedField(java.lang.String), org.springframework.validation.BeanPropertyBindingResult#getSuppressedFields(), org.springframework.validation.BeanPropertyBindingResult#getModel(), org.springframework.validation.BeanPropertyBindingResult#addError(org.springframework.validation.ObjectError), org.springframework.validation.BeanPropertyBindingResult#hasErrors(), org.springframework.validation.BeanPropertyBindingResult#getErrorCount(), org.springframework.validation.BeanPropertyBindingResult#equals(java.lang.Object), org.springframework.validation.BeanPropertyBindingResult#hashCode(), org.springframework.validation.BeanPropertyBindingResult#reject(java.lang.String), org.springframework.validation.BeanPropertyBindingResult#reject(java.lang.String, java.lang.String), org.springframework.validation.BeanPropertyBindingResult#setNestedPath(java.lang.String), org.springframework.validation.BeanPropertyBindingResult#pushNestedPath(java.lang.String), org.springframework.validation.BeanPropertyBindingResult#popNestedPath(), org.springframework.validation.BeanPropertyBindingResult#rejectValue(java.lang.String, java.lang.String, java.lang.String), org.springframework.validation.BeanPropertyBindingResult#rejectValue(java.lang.String, java.lang.String), org.springframework.validation.BeanPropertyBindingResult#getNestedPath(), org.springframework.validation.BeanPropertyBindingResult#hasGlobalErrors(), org.springframework.validation.BeanPropertyBindingResult#getGlobalErrorCount(), org.springframework.validation.BeanPropertyBindingResult#hasFieldErrors(), org.springframework.validation.BeanPropertyBindingResult#hasFieldErrors(java.lang.String), org.springframework.validation.BeanPropertyBindingResult#getFieldErrorCount(java.lang.String), org.springframework.validation.BeanPropertyBindingResult#getFieldErrorCount(), org.springframework.validation.BeanPropertyBindingResult#toString(), org.springframework.validation.BeanPropertyBindingResult#wait(long), org.springframework.validation.BeanPropertyBindingResult#wait(long, int), org.springframework.validation.BeanPropertyBindingResult#wait(), org.springframework.validation.BeanPropertyBindingResult#getClass(), org.springframework.validation.BeanPropertyBindingResult#notify(), org.springframework.validation.BeanPropertyBindingResult#notifyAll()`

- - ### Constructor Detail

    - #### ValidationErrors(java.lang.Object target)

    - #### ValidationErrors(java.lang.Object target, java.lang.String objectName)

  - ### Method Detail

    - #### java.lang.Object getAt(java.lang.String field)

    - #### java.lang.Object putAt(java.lang.String field, java.lang.String errorCode)